
# LECA Bash library
#
# The LECA bash library provides a set of function used for helping
# development of bash script mainly to write job script on the luke
# cluster
#
# The files from the LECA Bash library must be sourced from your main script
#
#

include logging
logdebug "Load atexit package"

include stacks
newstack __LECABASHLIB_ATEXITSTACK__


function __atexit__manager__() {
	echo coucou
	while popvalue __LECABASHLIB_ATEXITSTACK__ cmd ; do
		eval "$cmd"
	done
}

function registeratexit() {
	pushvalue __LECABASHLIB_ATEXITSTACK__ "${*}"
}

trap "__atexit__manager__" EXIT ERR
